## Overview

This charm configures a nova compute node for Ironic which can be used
to provision bare-metal nodes with OpenStack.

## Configuration

Create `options.yaml` file with the config option needed to enable the 
OpenStack Kilo (or other release if interested) repository:

    nova-compute-ironic:
      openstack-origin: "cloud:trusty-kilo"

## Usage

Deploy the charm and add the relations with the other OpenStack charms:

    juju deploy --config options.yaml cs:~cloudbaseit/trusty/nova-compute-ironic
    juju add-relation nova-compute-ironic rabbitmq-server
    juju add-relation nova-compute-ironic nova-cloud-controller

To scale out horizontally:

    juju add-unit nova-compute-ironic -n <number_of_units>

To scale down:

    juju destroy-unit nova-compute-ironic/<unit_number>
